Search events
curl --request GET \
--url https://yourdomain.com/get_search_events \
--cookie admin_cookie=import requests
url = "https://yourdomain.com/get_search_events"
headers = {"cookie": "admin_cookie="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'admin_cookie='}};
fetch('https://yourdomain.com/get_search_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"event_timestamp": 123,
"event_ip": "<string>",
"campaign": "<string>",
"target": "<string>",
"event_type": "<string>",
"event_data": "<string>",
"ignore": 123
}
]Event
Search events
Search events with filters
GET
/
get_search_events
Search events
Authorizations
Admin cookie authentication (configurable in config.json)
Query Parameters
Campaign to search
Timestamp filter
Event type filter
Source IP filter
Target ID filter
Event data search term
Response
Successful response
Unix timestamp of event
Source IP address
Associated campaign name
Target ID
Event type (EMAIL_SENT, CLICK, POST_DATA, COOKIE_DATA, ERROR)
Event-specific data
Ignore status for filtering (0 = show, 1 = hidden)